Bug 249399

Summary: The last jail created using VNET has ARP problem
Product: Base System Reporter: fred.ha11
Component: kernAssignee: freebsd-net (Nobody) <net>
Status: Closed Unable to Reproduce    
Severity: Affects Some People CC: bz
Priority: ---    
Version: 12.1-STABLE   
Hardware: amd64   
OS: Any   
Attachments:
Description Flags
/etc/jails.conf none

Description fred.ha11 2020-09-17 16:03:42 UTC
Created attachment 218028 [details]
/etc/jails.conf

12.2-BETA has a new issue with VNET that 12.1-RELEASE didn't have.

Initially when a list of jails are created all can be pinged. However, after the default ARP timeout, the last jail attached to the bridge fails to respond. If the ARP for the last jail is statically set (arp -s) it will again respond to pings. The problem only effects the last jail attached to the bridge regardless of the number of jails or which one is last.

My /etc/jails.conf is attached
Comment 1 fred.ha11 2020-09-17 18:34:03 UTC
*** Bug 249400 has been marked as a duplicate of this bug. ***
Comment 2 fred.ha11 2020-09-29 01:52:10 UTC
12.2-BETA3 does not have the problem. 

Closing the bug report as FIXED.
Comment 3 fred.ha11 2020-09-29 21:50:10 UTC
Re-opening this bug report as it has NOT been fixed in BETA3. I closed this ticket earlier as VNET work properly again on one of my test servers, unfortunately VNET still malfunctions on the second. 

OK, now we have a bug that will not always manifest itself, although the bugs behavior is consistent between reboots and always fails on the same server. The jail/vnet setup of both servers is similar but the number of running jails varies.

I would like to work with someone to fix this problem, but do not know what debug information to provide.

Symptoms:
-------------------------
(From the HOST) Initially when a list of jails are created all can be pinged. However, after the default ARP timeout, the LAST jail attached to the bridge fails to respond.

(From another jail attached to the same VNET) All jails including the last one created are pingable. Everything appears normal.
Comment 4 Bjoern A. Zeeb freebsd_committer 2020-09-29 22:39:04 UTC
Re-assign to net@ as the chances are much higher that network people can figure out ARP and things than jail people.
Comment 5 fred.ha11 2020-11-15 16:11:39 UTC
With 12.2-RELEASE I can not longer consistently duplicate the problem. While there are still VNET / ARP problems, I not longer believe that this bug report will be helpful in diagnosing the problem.